Delete destination
curl --request DELETE \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>'
}
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"type": "CRYPTO",
"status": "ACTIVE",
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"name": "<string>",
"createdAt": "2026-08-07T12:34:56.000Z",
"externalId": "<string>",
"statusReason": "<string>",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
}
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Delete destination
Permissions required: Manage Trusted Destinations
Remove a destination. Cancels creation if the destination is still PENDING, removes it if it is ACTIVE. Removal is asynchronous: the destination reports DELETING until the work completes.
DELETE
/
accounts
/
{accountId}
/
destinations
/
{destinationId}
Delete destination
curl --request DELETE \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>'
}
};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"type": "CRYPTO",
"status": "ACTIVE",
"owner": {
"type": "ACCOUNT",
"id": "<string>"
},
"name": "<string>",
"createdAt": "2026-08-07T12:34:56.000Z",
"externalId": "<string>",
"statusReason": "<string>",
"description": "<string>",
"destinationInfo": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"networkId": "BTC",
"assetType": "BTC",
"memo": "Internal trade ID 0xabc123"
}
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Headers
Path Parameters
Was this page helpful?